// creator  : weidu.exe (version 23100)
// argument : SIRLOT.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SIRLOT~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #17039 /* ~Do you have reason for intruding on my private thoughts? I should like to hear it.~ */
  IF ~~ THEN REPLY #17040 /* ~Who is this Lord Logan you speak of?~ */ DO ~~ GOTO 1
  IF ~~ THEN REPLY #17041 /* ~Suppose I do decide to help you.  How much compensation am I looking at?~ */ DO ~~ GOTO 5
  IF ~~ THEN REPLY #17042 /* ~Where is Trademeet?~ */ DO ~~ GOTO 11
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #17043 /* ~I don't think I can help you right now.  Excuse me.~ */
  IF ~~ THEN REPLY #17044 /* ~Eh?  Er, hello again.  Changed your mind, have you?~ */ DO ~~ GOTO 2
  IF ~~ THEN REPLY #17045 /* ~I'm not sure.  Tell me again who you are and what you're doing here.~ */ DO ~~ GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #17046 /* ~You are very combative. Not good. Not good at all. This only supports my position, as I knew it would. Next question then.~ */
  IF ~~ THEN REPLY #17047 /* ~No, not yet.  Excuse me.~ */ DO ~~ GOTO 3
  IF ~~ THEN REPLY #17048 /* ~Ah!  Hello again!  Should you not be on your way to Trademeet, my friend?~ */ DO ~~ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #17049 /* ~I need you to tell me, again, what is going on there.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.1
  SAY #17050 /* ~How much is the reward, should I decide to help you out?~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.1
  SAY #17051 /* ~Yes, excuse me.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.1
  SAY #1371 /* ~~ */
  IF ~~ THEN REPLY #17055 /* ~Actually, I've changed my mind.  I can't help you out.~ */ DO ~~ GOTO 8
  IF ~~ THEN REPLY #17067 /* ~Tell me, Jayes, what would one be doing selling 'exotic' items in an alley? Would you, perchance, be dealing in less-than-legal merchandise?~ */ DO ~~ GOTO 12
END

IF ~~ THEN BEGIN 7 // from: 11.0
  SAY #17057 /* ~Excellent news.  Then I can stay and enjoy the ale of this marvelous place.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 11.1 6.0
  SAY #17058 /* ~Oh, that is unfortunate.  Hm.  Well, I'll send word, I suppose.  Do let me know if you change your mind, the town really does need someone like you.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 11.2
  SAY #17059 /* ~A note from Mazzy Fentan~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~False()~ THEN BEGIN 10 // from: 11.3
  SAY #17060 /* ~Please, <CHARNAME>, do not make this difficult for yourself.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 0.2
  SAY #17061 /* ~No coaching, my dear, he will answer as he must. On to the next question then.~ */
  IF ~~ THEN REPLY #17062 /* ~Evasive answer. Illustrates your deceptive nature, I am sure. Not good. Next question.~ */ DO ~~ GOTO 7
  IF ~~ THEN REPLY #17063 /* ~As a child of Bhaal, have you... violent thoughts?~ */ DO ~~ GOTO 8
  IF ~ReputationGT(LastTalkedToBy,7)
~ THEN REPLY #17064 /* ~Maybe ye can make up th' business by rentin' rooms to them ogres, aye?  How about cleanin' up after them fellers, aye?~ */ DO ~~ GOTO 9
  IF ~ReputationLT(LastTalkedToBy,8)
~ THEN REPLY #17065 /* ~Hey, bosses! Ye've th' look of peoples wit discrom... discrimer... uh, good tastes. Lookin' fer a bit o' dandies, undies, and exotic stuffs? Eh? Jayes ain't got all day, peoples.~ */ DO ~~ GOTO 10
END

IF ~True()
~ THEN BEGIN 12 // from: 6.1
  SAY #17066 /* ~A moment, friend!  You are obviously not aligned with our captors!  Might I know your name?~ [HENDAK02] */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END
